mult.loc {waveslim} | R Documentation

## Wavelet-based Testing and Locating for Variance Change Points

### Description

This is the major subroutine for `testing.hov`, providing the workhorse algorithm to recursively test and locate multiple variance changes in so-called long memory processes.

### Usage

    mult.loc(dwt.list, modwt.list, wf, level, min.coef, debug)

### Arguments

`dwt.list` | List of wavelet vector coefficients from the `dwt`.
`modwt.list` | List of wavelet vector coefficients from the `modwt`.
`wf` | Name of the wavelet filter to use in the decomposition.
`level` | Specifies the depth of the decomposition.
`min.coef` | Minimum number of wavelet coefficients for testing purposes.
`debug` | Boolean variable: if set to `TRUE`, actions taken by the algorithm are printed to the screen.

### Details

For details see Section 9.6 of Percival and Walden (2000) or Section 7.3 in Gencay, Selcuk and Whitcher (2001).

### Value

Matrix.

### Author(s)

B. Whitcher

### References

Gencay, R., F. Selcuk and B. Whitcher (2001) An Introduction to Wavelets and Other Filtering Methods in Finance and Economics, Academic Press.

Percival, D. B. and A. T. Walden (2000) Wavelet Methods for Time Series Analysis, Cambridge University Press.

### See Also

`rotcumvar`, `testing.hov`.

[Package waveslim version 1.7.5.1 Index]